# Играем в кости. Правила следующие:
# 1 Кидаем пару костей.
# 2 Складываем количество выпавших чисел и прибавляем к общему кол-ву очков.
# 3 Повторяем пункты 1 и 2 трижды.
# 4 Если выпадает дуплет (на обоих костях одно и тоже число), то кол-во очков обнуляется и
# последующие броски не считаются.
# Задание: написать ф-цию принимающую список кортежей и возвращающую общее кол-во очков.

import random

cube = [1, 2, 3, 4, 5, 6]

roll1 = ()
roll2 = ()
roll3 = ()

# Бросаем 3 раза кости и получаем список из 6 элементов. Разбиваем на 3 пары (последовательно)
print()
roll1 = tuple(random.choices(cube, k=2))       # Позволяет выбрать несколько случайных элементов
roll2 = tuple(random.choices(cube, k=2))       #  из заданной последовательности И позволяет повторить
roll3 = tuple(random.choices(cube, k=2))       #  несколько раз один и тот же элемент последовательности.
roll_the_dices = [roll1, roll2, roll3]         # Список кортежей

print(roll_the_dices)

def calc_dice_scores(lst):
    return print(sum([a+b for a, b in lst]) if not any([a==b for a, b in lst]) else 0)

calc_dice_scores(roll_the_dices)